com.zipcodewilmington.streams.exercises

## Class StreamConverter

- java.lang.Object
- - com.zipcodewilmington.streams.exercises.ConversionAgent<java.util.stream.Stream<Person>>
  - - com.zipcodewilmington.streams.exercises.StreamConverter

    public final class StreamConverter
    extends ConversionAgent<java.util.stream.Stream<Person>>

Created by leon on 5/25/17.

### Field Summary

### Fields inherited from class com.zipcodewilmington.streams.exercises.ConversionAgent

`people`

### Constructor Summary

Constructors
Constructor and Description
`StreamConverter(int collectionSize)`
`StreamConverter(java.util.stream.Stream<Person> people)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Person[]` `toArray()`
`java.util.List<Person>` `toList()`
`java.util.stream.Stream<Person>` `toStream()`

### Methods inherited from class com.zipcodewilmington.streams.exercises.ConversionAgent

`filter, flatMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamConverter

    public StreamConverter(java.util.stream.Stream<Person> people)

#### StreamConverter

    public StreamConverter(int collectionSize)

### Method Detail

#### toList

    public java.util.List<Person> toList()

Specified by:
  `toList` in class `ConversionAgent<java.util.stream.Stream<Person>>`

#### toStream

    public java.util.stream.Stream<Person> toStream()

Specified by:
  `toStream` in class `ConversionAgent<java.util.stream.Stream<Person>>`

#### toArray

    public Person[] toArray()

Specified by:
  `toArray` in class `ConversionAgent<java.util.stream.Stream<Person>>`